﻿using System;
using System.Configuration;
using System.Reflection;
using System.ServiceModel.Web;
using log4net;
using Lync.Widget.Service.Common;
using Lync.Widget.Service.Presence;

namespace Lync.Widget.Service
{
	public class Global : System.Web.HttpApplication
	{
		private static readonly ILog Log = LogManager.GetLogger(MethodBase.GetCurrentMethod().DeclaringType);

		public static UcPresenceCache PresenceCache;

		void Application_End(object sender, EventArgs e)
		{
			StopPresenceQueryService();
		}

		private void StopPresenceQueryService()
		{
			UcmaHelper.GetInstance().Stop();
			Log.Info("LyncWidget service stopped successfully");
		}

		void Application_Error(object sender, EventArgs e)
		{
			Exception ex = Server.GetLastError();
			Log.Error("Unhandled exception {0}", ex);
			Server.ClearError();
		}

		void Session_Start(object sender, EventArgs e)
		{
			// Code that runs when a new session is started

		}

		void Session_End(object sender, EventArgs e)
		{
			// Code that runs when a session ends. 
			// Note: The Session_End event is raised only when the sessionstate mode
			// is set to InProc in the Web.config file. If session mode is set to StateServer 
			// or SQLServer, the event is not raised.

		}

	}
}
