﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;
using Lync.Widget.Service.Presence;
using Lync.Widget.Service.ServiceHelpers;

namespace Lync.Widget.Service
{
	[ServiceContract]
	public interface IService
	{
		[OperationContract]
		PresenceSubscription GetPresence(string sipUri);

		[OperationContract]
		List<PresenceSubscription> GetPresences(string sipUris);

		[OperationContract]
		ServiceCallResponse InitChatSession(string session, string employeeSip, string username, string page, string topic);

		[OperationContract]
		ServiceCallResponse SendInstantMessage(string session, string message);

		[OperationContract]
		[ServiceKnownType(typeof(MessageListServiceCallResponse))]
		ServiceCallResponse GetMessages(string session);

		[OperationContract]
		string LogStatusReport();

		[OperationContract]
		string GetServiceStatus();
	}
}
