﻿using System.Collections.Generic;
using Lync.Widget.Service.InstantMessaging;

namespace Lync.Widget.Service.ServiceHelpers
{
	public static class ServiceCallResponseFactory
	{
		public static ServiceCallResponse CreateSuccesfulResponse(List<Message> InstantMessages = null)
		{
			if (InstantMessages != null)
			{
				return new MessageListServiceCallResponse()
				{
					ErrorCode = ErrorCode.NoError,
					HasError = false,
					ErrorMessage = "",
					Messages = InstantMessages,
				};
			}
			return new ServiceCallResponse
			       	{
			       		ErrorCode = ErrorCode.NoError,
						HasError = false,
						ErrorMessage = "",
			       	};
		}

		public static ServiceCallResponse CreateFatalErrorResponse(string message)
		{
			return new ServiceCallResponse
			{
				ErrorCode = ErrorCode.SessionError,
				HasError = true,
				ErrorMessage = message
			};
		}

		public static ServiceCallResponse CreateCallErrorResponse(string message)
		{
			return new ServiceCallResponse
			{
				ErrorCode = ErrorCode.SingleCallError,
				HasError = true,
				ErrorMessage = message
			};
		}
	}
}